MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025404Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-10-21 11:132017-08-25 16:13
Reporternbv 
Assigned Tonbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 6.8.0 
Summary0025404: Even for analytical surfaces (cylinder-cylinder) intersection result is not commutative
DescriptionResult of intersection algorithm depends on the order of arguments.
Steps To Reproducerestore Input_0.brep b1
restore Input_1.brep b2
explode b1 f; copy b1_2 f1
explode b2 f; copy b2_2 f2
don f1 f2

bopcurves f1 f2 -2d
bopcurves f2 f1 -2d

# Result is different curves. They can be unified.
TagsNo tags attached.
Test case numberbugs modalg_5 bug25292_11, bug25292_12
Attached Files? file icon Input_0.brep (39,514 bytes) 2014-10-21 11:17
? file icon Input_1.brep (39,406 bytes) 2014-10-21 11:17

- Relationships
related to 0024418assignedmsv Open CASCADE Modeling Algorithms - Wrong section curves when intersecting analytical surfaces 

-  Notes
(0033364)
git (administrator)
2014-10-21 11:34

Branch CR25404 has been created by nbv.

SHA-1: e97af2588a64b9fa807ba68249e58556ad42041f


Detailed log of new commits:

Author: nbv
Date: Mon Oct 20 13:57:54 2014 +0400

    0025404: Even for analytical surfaces (cylinder-cylinder) intersection result is not commutative
    
    Unification of reverse
(0033548)
git (administrator)
2014-10-22 13:51

Branch CR25404 has been updated forcibly by nbv.

SHA-1: 24a6c17f47d8584849c9e966d06a123ec8c353b3
(0033752)
git (administrator)
2014-10-28 09:32

Branch CR25404 has been updated forcibly by nbv.

SHA-1: d7d29eb886b176a83f13466a295333a74c37e209
(0034119)
git (administrator)
2014-11-06 17:29

Branch CR25404 has been updated forcibly by nbv.

SHA-1: a2a535354e70c8a8ccafcea4983edc66becd7b85
(0035189)
git (administrator)
2014-12-09 10:53

Branch CR25404 has been updated forcibly by nbv.

SHA-1: 4bdb5e50e2eebfeddba0f4d1c295cf4431467a3f
(0059144)
nbv (developer)
2016-10-26 10:39

DC,

I do not want to implement new algorithm for case with two cylinders only. This problem exist in two cones etc.

However, the fix requires implementation of the same intersection algorithm as for two cylinders (see changes in the fix #24915). I plan to do it in frame of the issue 0024418.
(0066462)
nbv (developer)
2017-05-23 13:15

In frame of the fix #28222, the algorithm of choice of the changed parameter along the intersection curve has become significantly determined. So, since this fix integration, the result of Cylinder-Cylinder intersection algorithm can be considered as commutative. However, IntPatch_WLineTool::JoinWLines(...) method is applied to this result. After that, final intersection curve will depend on order of the input arguments, as before.

As result, the root of described problems should be found in IntPatch_WLineTool::JoinWLines(...) method. It is necessary to make it be commutative. After that, the problem will be solved for two intersected cylinders.

Solution of the problem for other pairs of surfaces is planed to be offered in frame of the fix 0024418.

Branches CR25404* are already not actual and can be deleted.
(0069062)
mkv (tester)
2017-08-02 17:33

Problem described in issue is not reproduced on current state of OCCT. Fixed in OCCT6.8.0.
(0069891)
git (administrator)
2017-08-25 16:13

Branch CR25404 has been deleted by kgv.

SHA-1: 4bdb5e50e2eebfeddba0f4d1c295cf4431467a3f

- Issue History
Date Modified Username Field Change
2014-10-21 11:13 nbv New Issue
2014-10-21 11:13 nbv Assigned To => nbv
2014-10-21 11:14 nbv Relationship added child of 0025292
2014-10-21 11:14 nbv Relationship added related to 0024418
2014-10-21 11:17 nbv File Added: Input_0.brep
2014-10-21 11:17 nbv File Added: Input_1.brep
2014-10-21 11:34 git Note Added: 0033364
2014-10-22 13:51 git Note Added: 0033548
2014-10-28 09:32 git Note Added: 0033752
2014-11-06 17:29 git Note Added: 0034119
2014-12-09 10:53 git Note Added: 0035189
2015-10-28 11:25 msv Target Version 7.0.0 => 7.1.0
2015-10-28 11:31 nbv Steps to Reproduce Updated View Revisions
2016-10-25 19:04 msv Target Version 7.1.0 => 7.2.0
2016-10-26 10:39 nbv Note Added: 0059144
2017-05-23 13:15 nbv Note Added: 0066462
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-08-02 17:33 mkv Test case number => bugs modalg_5 bug25292_11, bug25292_12
2017-08-02 17:33 mkv Note Added: 0069062
2017-08-02 17:33 mkv Status new => closed
2017-08-02 17:33 mkv Resolution open => fixed
2017-08-02 17:33 mkv Fixed in Version => 6.8.0
2017-08-25 16:13 git Note Added: 0069891


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker